// file: dt_size_0.cc
//

// isip include files
//
#include "decision_tree.h"
#include "decision_tree_constants.h"

// method: size_cc
//
//   arguments: none
//
// return: an int_4 with number of bytes used by this object
//
// this method counts the size of the current object in bytes
//
int_4 Decision_tree::size_cc() {

  // set the size variable
  //
  int_4 size = 0;
  
  // add the size of each constituent data
  //
  size += sizeof(int_4);                    // debug_level_d
  size += sizeof(char_1*);                  // cph_d
  size += sizeof(int_4);                    // state_pos_d

  size += sizeof(Dt_node*);                 // root_d
  
  size += sizeof(float_4*);                 // split_threshd_d
  size += sizeof(float_4*);                 // merge_threshd_d
  size += sizeof(int_4);                    // num_occ_threshd_d

  size += sizeof(Link_list*);               // leaf_node_d
  size += sizeof(int_4);                    // number of leaf nodes

  // exit gracefully
  //
  return size;
}





